<?php 
session_start();
$pTipoUtilizador = $_SESSION['tipoUtilizador'];
if ($pTipoUtilizador=="anonymous" || $pTipoUtilizador=="regular") { // separa por tipo de utilizador
  require('headersubUsers.inc');
  require('menusubUsers.inc');
  echo "<meta http-equiv='refresh' content='0; url=../users.php' />";
  exit;  // os anonimos não têem acesso a esta página
}
else {
  require('headersubAdmins.inc');
  require('menusubAdmins.inc');
}
?>


<meta http-equiv="refresh" content="2; url=insertUpdateGeoThms.php" />


<center>
<h3 class="maketitle">Geometric theorems - Update the Theorem Info</h3>
</center>

<hr/>



<?php
require('loginsub.php');
?>

<?php

// Obtêm os valores do formulário.
$pTeoId             = $_POST['TeoId'];
$pTeoName           = $_POST['TeoName'];
$pBibref            = $_POST['Bibref'];
$pCategory          = $_POST['Category'];
$pDateSubmission    = $_POST['DateSubmission'];
$pDescription       = $_POST['Description'];

// Como obter de um campo múltipo os valores individuais através de exp. reg.
$pUserInfo          = $_POST['UserInfo'];

preg_match("§([A-Za-z0-9 _.]+) -- ([A-Za-z0-9 _.]+) -- ([A-Za-z0-9 _.]+)§",$pUserInfo,$matches);

$pUserId = $matches[1];
//$pUserName = $matches[2];
//$pUserEmail = $matches[3];

// Verifica se o campos "obrigatórios estão preenchidos
//
// está por fazer 
//

// Formata os valores para posterior inserção na Tabela
if (!get_magic_quotes_gpc())
  { $pTeoId          = addslashes($pTeoId);
    $pTeoName        = addslashes($pTeoName);
    $pBibref         = addslashes($pBibref);	 
    $pCategory       = addslashes($pCategory);
    $pDateSubmission = addslashes($pDateSubmission);
    $pDescription    = addslashes($pDescription);
    $pUserId         = addslashes($pUserId);
  }

$sqlUpdateGeoTheorem = 
    "UPDATE theorems
        SET teoName        = '$pTeoName',       
            bibref         = '$pBibref',       
            category       = '$pCategory',      
            dateSubmission = '$pDateSubmission',
            description    = '$pDescription',   
            userId         = '$pUserId'
       WHERE
             teoId = '$pTeoId'";

$resultadoUpdateGeoTheorem = mysql_query($sqlUpdateGeoTheorem,$ligacao);

if ($resultadoUpdateGeoTheorem) {
  echo 'Theorem Updated.'; 
 }
 else
   echo 'Error - Theorem not updated!';
?>

<hr/>

<p>&nbsp;</p>

<?php
  require('footer.inc');
?>
